#!/bin/bash

# Get the Stuff

function main () {
  TARGET=`pwd`""
  echo $TARGET

  TMP=`mktemp -d`
  cd $TMP
  echo $TMP
  
  mkdir demo
  cd demo
  wget -O settlers http://settlers2.net/wp-content/uploads/2012/09/s2demo1.zip
  unzip -o settlers
  rm -rf settlers SAVE *.INI *.EXE *.TXT *.SCR *.BAT DRIVERS

  cp -r GFX/PALETTE $TARGET/GFX/
  cp -r GFX/PICS $TARGET/GFX/
  cp -r GFX/TEXTURES $TARGET/GFX/
  cp -r DATA $TARGET/
  cp -r DATA/BOBS $TARGET/DATA/
  cp -r DATA/CBOB $TARGET/DATA/
  cp -r DATA/IO $TARGET/DATA/
  cp -r DATA/MBOB $TARGET/DATA/
  cp -r DATA/SOUNDDAT/SOUND.LST $TARGET/DATA/SOUNDDAT/SOUND.LST

  wget -O settlers http://settlers2.net/wp-content/uploads/2012/09/s2up151.zip
  unzip -o settlers
  cp -r GFX/PALETTE      $TARGET/GFX/
  cp -r DATA/MBOB        $TARGET/DATA/
  cp -r DATA/MAP_0_Z.LST $TARGET/DATA/MAP_0_Z.LST
  cp -r GFX/TEXTURES     $TARGET/GFX/
  rm -rf *

  wget -O settlers http://settlers2.net/wp-content/uploads/2012/09/s2gold.zip
  unzip -o settlers
 
  cp -r GFX/PICS         $TARGET/GFX/
  cp -r DATA/MBOB        $TARGET/DATA/
  cp    DATA/BOOT_Z.LST  $TARGET/DATA/BOOT_Z.LST
  cp    DATA/MIS*        $TARGET/DATA/
  cp    DATA/MAP_1_Z.LST $TARGET/DATA/MAP_1_Z.LST
  cp    DATA/MAP_2_Z.LST $TARGET/DATA/MAP_2_Z.LST
  
  cp $TARGET/GFX/PALETTE/PALETTI0.BBM $TARGET/GFX/PALETTE/PALETTI1.BBM
  cp $TARGET/GFX/PALETTE/PALETTI0.BBM $TARGET/GFX/PALETTE/PALETTI8.BBM
  
  mkdir $TARGET/GFX/PICS/MISSION
  cd $TARGET/GFX/PICS
  cp INSTALL.LBM MISSION/AFRICA.LBM
  cp INSTALL.LBM MISSION/AUSTRA.LBM
  cp INSTALL.LBM MISSION/EUROPE.LBM
  cp INSTALL.LBM MISSION/GREEN.LBM
  cp INSTALL.LBM MISSION/JAPAN.LBM
  cp INSTALL.LBM MISSION/NAMERICA.LBM
  cp INSTALL.LBM MISSION/NASIA.LBM
  cp INSTALL.LBM MISSION/SAMERICA.LBM
  cp INSTALL.LBM MISSION/SASIA.LBM
  cd $TARGET/DATA/MBOB
  cp ROM_ICON.LST AFR_ICON.LST
  cp WROM_BOB.LST WAFR_BOB.LST
  cp AFR_Z.LST WAFR_Z.LST
  cp JAP_Z.LST WJAP_Z.LST
  cp WROM_BOB.LST WJAB_BOB.LST
  rm -rf $TMP/demo
}

main $1 

